button:focus {
    outline: none !important;
    @apply outline-none;
    @apply shadow-outline;
}

button:focus-visible {
    @apply outline-none;
    @apply shadow-outline;
}

input:focus {
    outline: none !important;
}

textarea:focus {
    outline: none !important;
}

.btn {
    @apply font-bold;
    @apply px-4;
    @apply py-2;
    @apply rounded-lg;
}

.btn-red {
    @apply btn;
    @apply bg-red-500;
    @apply text-white;
}

.btn-red:hover {
    @apply bg-red-700;
}

.btn-green {
    @apply btn;
    @apply bg-green-500;
    @apply text-white;
}

.btn-green:hover {
    @apply bg-green-700;
}

.btn-orange {
    @apply btn;
    @apply bg-orange-400;
    @apply text-white;
}

.btn-orange:hover {
    @apply bg-orange-500;
}

.btn-dark-blue {
    @apply btn;
    @apply bg-blue-600;
    @apply text-white;
}

.btn-dark-blue:hover {
    @apply bg-blue-700;
}

.input {
    @apply bg-gray-200;
    @apply appearance-none;
    @apply border-2;
    @apply border-gray-200;
    @apply rounded-lg;
    @apply w-full;
    @apply py-2;
    @apply px-4;
    @apply leading-tight;
}

.input:focus {
    @apply shadow-outline;
    @apply bg-white;
    @apply border-blue-400;
}

@screen dark {
    .input {
        @apply bg-cgray-800;
        @apply border-cgray-800;
    }

    .input:focus {
        @apply bg-cgray-900;
        @apply border-blue-400;
    }
}

.label {
    @apply block;
    @apply text-gray-700;
    @apply uppercase;
    @apply tracking-wide;
    @apply text-xs;
    @apply font-bold;
    @apply text-left;
    @apply mb-1;
    @apply pr-4;
}

@screen lg {
    .label {
        @apply mb-0;
        @apply text-right;
    }
}

@screen dark {
    .label {
        @apply text-gray-500;
    }
}

.transition {
    transition: all .2s ease;
}
